Ciele

Change a Role's name, description, Capabilities or availability

PATCH/api/v1/roles/{roleId}

Requires an Organization API key with the manageMembers capability.

AuthorizationBearer <token>

In: header

Path Parameters

roleId*string

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/roles/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "builtIn": true,  "edited": true,  "locked": true,  "id": "string",  "organizationId": "string",  "key": null,  "name": "string",  "description": "string",  "capabilities": [    "string"  ],  "organizationLevel": true,  "assistantLevel": true,  "tier": "owner",  "memberCount": 0,  "apiKeyCount": 0,  "inviteCount": 0,  "assistantGrantCount": 0,  "memberDefault": true,  "assistantDefault": true,  "createdAt": "string",  "updatedAt": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}